package com.diagbot.client;

import com.diagbot.client.hystrix.UserServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.UserNameDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @Description: 调用用户服务
 * @author: gaodm
 * @time: 2018/8/6 9:52
 */
@FeignClient(value = "user-service", fallback = UserServiceHystrix.class)
public interface UserServiceClient {

    @PostMapping(value = "/user/getUserInfoByIds")
    RespDTO<List<UserNameDTO>> getUserInfoByIds(@RequestBody List<Long> ids);
}



