package com.diagbot.client.hystrix;

import com.diagbot.client.UserServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.UserNameDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @Description: 调用用户服务
 * @author: gaodm
 * @time: 2018/8/6 9:52
 */
@Component
@Slf4j
public class UserServiceHystrix implements UserServiceClient {

	@Override
    public RespDTO<List<UserNameDTO>> getUserInfoByIds(@RequestBody List<Long> ids){
        log.error("【hystrix】调用{}异常", "getUserInfoByIds");
        return null;
    }

    
    
}
